# This file is the input for generating the list of preferences
# for prefscollectiondatabase.cpp and prefscollectiondatabase.h.
#
# For information on how to add or modify a preference, please
# refer to the prefs module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionDatabase
Macro name:  PCDATABASE
Description: Preferences related to the core database module and html5 storage support.
Type:        normal

Preference:  LocalStorageQuota
Depends on:  WEBSTORAGE_ENABLE_SIMPLE_BACKEND
Section:     PersistentStorage
Key:         Domain Quota For localStorage
Type:        integer
Description: Quota for local storage data in kilobytes
Default:     OPSTORAGE_LOCAL_ORIGIN_QUOTA

Preference:  LocalStorageGlobalQuota
Depends on:  WEBSTORAGE_ENABLE_SIMPLE_BACKEND
Section:     PersistentStorage
Key:         Global Quota For localStorage
Type:        integer
Description: Global quota for all local storage data in kilobytes
Default:     OPSTORAGE_LOCAL_GLOBAL_QUOTA

Preference:  LocalStorageQuotaExceededHandling
Depends on:  WEBSTORAGE_ENABLE_SIMPLE_BACKEND
Section:     PersistentStorage
Key:         Domain Quota Exceeded Handling For localStorage
Type:        integer
Description: What to do when the quota for local storage is exceeded
Default:     PS_Policy::KQuotaAskUser

Preference:  DatabasesAccessHandling
Depends on:  SUPPORT_DATABASE_INTERNAL
Section:     PersistentStorage
Key:         Databases Access Handling
Type:        integer
Description: Tells if Web SQL Databases are enabled for a specific origin. 0 no, 1 allow
Default:     PS_Policy::KAccessAllow

Preference:  DatabaseStorageGlobalQuota
Depends on:  SUPPORT_DATABASE_INTERNAL
Section:     PersistentStorage
Key:         Global Quota For Databases
Type:        integer
Description: Global quota for all Web SQL Databases data in kilobytes
Default:     DATABASE_INTERNAL_GLOBAL_QUOTA

Preference:  DatabaseStorageQuota
Depends on:  SUPPORT_DATABASE_INTERNAL
Section:     PersistentStorage
Key:         Domain Quota For Databases
Type:        integer
Description: Quota for Web SQL Databases data in kilobytes
Default:     DATABASE_INTERNAL_QUOTA_PER_ORIGIN

Preference:  DatabaseStorageQuotaExceededHandling
Depends on:  SUPPORT_DATABASE_INTERNAL
Section:     PersistentStorage
Key:         Domain Quota Exceeded Handling For Databases
Type:        integer
Description: What to do when the quota for Web SQL Databases is exceeded
Default:     PS_Policy::KQuotaAskUser

Preference:  DatabaseStorageQueryExecutionTimeout
Depends on:  SUPPORT_DATABASE_INTERNAL
Section:     PersistentStorage
Key:         SQL Query Execution Timeout
Type:        integer
Description: Execution timeout for Web SQL Database queries in milliseconds
Default:     DATABASE_INTERNAL_QUERY_EXECUTION_TIMEOUT

Preference:  WidgetPrefsQuota
Depends on:  WEBSTORAGE_WIDGET_PREFS_SUPPORT
Section:     PersistentStorage
Key:         Domain Quota For Widget Preferences
Type:        integer
Description: Quota for widget.preferences data per origin in kilobytes
Default:     OPSTORAGE_LOCAL_ORIGIN_QUOTA

Preference:  WidgetPrefsGlobalQuota
Depends on:  WEBSTORAGE_WIDGET_PREFS_SUPPORT
Section:     PersistentStorage
Key:         Global Quota For Widget Preferences
Type:        integer
Description: Global quota for all widget.preferences data in kilobytes
Default:     OPSTORAGE_LOCAL_GLOBAL_QUOTA

Preference:  WidgetPrefsQuotaExceededHandling
Depends on:  WEBSTORAGE_WIDGET_PREFS_SUPPORT
Section:     PersistentStorage
Key:         Domain Quota Exceeded Handling For Widget Preferences
Type:        integer
Description: What to do when the quota for widget.preferences is exceeded
Default:     PS_Policy::KQuotaDeny

Preference:  UserJSScriptStorageQuota
Depends on:  WEBSTORAGE_USER_SCRIPT_STORAGE_SUPPORT
Section:     PersistentStorage
Key:         User JS Storage Quota
Type:        integer
Description: Quota in kilobytes available for user script storage. Set to 0 to prevent any use.
Default:     0

.eof
